xmlrpc-c/0005-added-xmlrpc-c-config-wrapper.txt
ensc 087093797d - updated to 1.06.04
- patched the broken buildsystem
- disabled libwww backend explicitely
2006-09-18 06:22:42 +00:00

57 lines
1.4 KiB
Plaintext

From 29b9db8273ef88e93c45b43add367a04282044c8 Mon Sep 17 00:00:00 2001
From: Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
Date: Sun, 17 Sep 2006 16:22:50 +0200
Subject: [PATCH] added xmlrpc-c-config wrapper
---
xmlrpc-c-config | 38 ++++++++++++++++++++++++++++++++++++++
1 files changed, 38 insertions(+), 0 deletions(-)
diff --git a/xmlrpc-c-config b/xmlrpc-c-config
new file mode 100755
index 0000000..e8ba549
--- /dev/null
+++ b/xmlrpc-c-config
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+comp=
+
+need_cxx=
+need_client=
+need_server=
+need_abyss=
+
+while test $# -gt 0; do
+ case $1 in
+ (c++) comp="$comp xmlrpc_cpp";;
+ (server-util) comp="$comp xmlrpc_server_util";;
+ (cgi-server) comp="$comp xmlrpc_server_cgi";;
+ (c++2) need_cxx=1;;
+ (abyss-server) need_abyss=1;;
+ (client|libwww-client) need_client=1;;
+ (--) shift; break;;
+ (--*) break;;
+ (*)
+ echo "Unrecognized token '$1'"
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+if test -z "$need_cxx"; then
+ test -z "$need_client" || comp="$comp xmlrpc_client"
+ test -z "$need_abyss" || comp="$comp xmlrpc_abyss"
+ test -z "$need_server" || comp="$comp xmlrpc_server"
+else
+ test -z "$need_client" || comp="$comp xmlrpc_client++"
+ test -z "$need_abyss" || comp="$comp xmlrpc_abyss++"
+ test -z "$need_server" || comp="$comp xmlrpc_server++"
+fi
+
+exec pkg-config "$@" $comp
--
1.4.2